org.jboss.resteasy.plugins.providers.atom

## Class BaseLink

- java.lang.Object
- - org.jboss.resteasy.plugins.providers.atom.CommonAttributes
  - - org.jboss.resteasy.plugins.providers.atom.Link
    - - org.jboss.resteasy.plugins.providers.atom.BaseLink

-     public class BaseLink
      extends Link

  If invoked within the context of a JAX-RS call, it will automatically build a URI based the base URI of the JAX-RS application. Same URI as UriInfo.getBaseUri().
  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Field Summary

    - ### Fields inherited from class org.jboss.resteasy.plugins.providers.atom.Link

      `href, hreflang, length, rel, title, type`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BaseLink()`
    `BaseLink(String rel, String relativeLink)`
    `BaseLink(String rel, String relativeLink, MediaType mediaType)`
    `BaseLink(String rel, String relativeLink, String mediaType)`

  - ### Method Summary

    - ### Methods inherited from class org.jboss.resteasy.plugins.providers.atom.Link

      `getHref, getHreflang, getLength, getRel, getTitle, getType, setHref, setHreflang, setLength, setRel, setTitle, setType`

    - ### Methods inherited from class org.jboss.resteasy.plugins.providers.atom.CommonAttributes

      `getBase, getExtensionAttributes, getLanguage, setBase, setLanguage`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BaseLink

          public BaseLink()

    - #### BaseLink

          public BaseLink(String rel,
                  String relativeLink)

    - #### BaseLink

          public BaseLink(String rel,
                  String relativeLink,
                  MediaType mediaType)

    - #### BaseLink

          public BaseLink(String rel,
                  String relativeLink,
                  String mediaType)

Copyright © 2014. All Rights Reserved.